> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a user access token



## OpenAPI

````yaml post /users/{identifier}/access_tokens
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /users/{identifier}/access_tokens:
    post:
      summary: Create a user access token
      operationId: create-a-user-access-token
      parameters:
        - name: identifier
          in: path
          description: >-
            Identifier of the user that you want to issue the access token for.
            User identifier can be found on the Joyfill User on the
            `user.identifier` property.
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                accessTokenExpiration:
                  type: string
                  description: >-
                    Optional. Millisecond timestamp of token expiration date.
                    Expired tokens will not be able to make API requests. Leave
                    blank to issue an access token that never expires.
                  format: date-time
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "identifier" "String",
                      "token": "String"
                    }
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````